
# BaseModel::getChildren 

### Usage

> ModelIterator BaseModel::getChildren(string $foreign_key, string $class_name, [ string $sort_by = 'id' ], [ string $sort_dir = 'asc' ], [ int $limit = '0' ], [ int $offset = '0' ])

### Description

> Get child records based on a foreign key constraint.

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
foreign_key | Yes | string |
class_name | Yes | string |
sort_by | No | string |
sort_dir | No | string |
limit | No | int |
offset | No | int |

### Return
> ModelIterator 
### See Also

* [all()](all)
* [count()](count)
* [delete()](delete)
* [deleteMany()](deletemany)
* [insert()](insert)
* [insertFromForm()](insertfromform)
* [insertOrUpdate()](insertorupdate)
* [purge()](purge)
* [save()](save)
* [toArray()](toarray)
* [toFormattedArray()](toformattedarray)
* [update()](update)
* [where()](where)
* [whereFirst()](wherefirst)
* [whereId()](whereid)


